<?php
/* ====================
[BEGIN_COT_EXT]
Code=recaptcha
Hooks=users.register.add.first
Tags=
Order=10
[END_COT_EXT]
==================== */

/**
 * reCAPTCHA Plugin
 *
 * @package Cotonti
 * @version 0.0.5
 * @author esclkm, Macik
 * @copyright Copyright (c) Pavel Mikulik, Andrey Matsovkin 2008-2011
 * @license BSD
 */

defined('COT_CODE') or die('Wrong URL.');

if(!function_exists(cot_captcha_validate))
{
    function cot_captcha_validate($verify=0, $func_index = 0)
    {
        global $cot_captcha;
        if(!empty($cot_captcha[$func_index]))
        {
            $captcha=$cot_captcha[$func_index]."_validate";
            return $captcha($verify);
        }
        return false;
    }
    $use_this_capcha = true; // standalone mode
} elseif ($cot_plugins_active['captchamanager']) {
	// check for captchamanager installed and captcha plug selected
	$selected_captcha = $cfg['plugin']['captchamanager']['main'];
	$this_plug = array_pop(explode('/',$pl,-1));
	$use_this_capcha = ($selected_captcha==$this_plug);
}

if ($use_this_capcha) { // in standalone mode or using captchamanager
	$error_string .= cot_captcha_validate($rverify) ? '' : $L['captcha_verification_failed'].'<br />';
}

?>
